Name:          msgpack-java
Version:       0.8.10
Release:       1%{?dist}
Summary:       MessagePack for Java
License:       ASL 2.0
URL:           http://msgpack.org/
Source0:       https://github.com/msgpack/msgpack-java/archive/%{version}/%{name}-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/org/msgpack/msgpack-core/%{version}/msgpack-core-%{version}.pom
Source2:       http://repo1.maven.org/maven2/org/msgpack/jackson-dataformat-msgpack/%{version}/jackson-dataformat-msgpack-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:     noarch

%description
MessagePack is an efficient binary serialization format. It
lets you exchange data among multiple languages like JSON.
But it's faster and smaller. Small integers are encoded
into a single byte, and typical short strings require only
one extra byte in addition to the strings themselves.

%package jackson
Summary:       Jackson extension that adds support for MessagePack
Provides:      jackson-dataformat-msgpack = %{version}-%{release}

%description jackson
This Jackson extension library handles reading and writing of
data encoded in MessagePack data format. It extends standard
Jackson streaming API (JsonFactory, JsonParser, JsonGenerator),
and as such works seamlessly with all the higher level data
abstractions (data binding, tree model, and pluggable extensions). 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# This is a dummy POM added just to ease building in the RPM platforms
cat > pom.xml << EOF
<?xml version="1.0" encoding="UTF-8"?>
<project
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <modelVersion>4.0.0</modelVersion>
  <groupId>org.msgpack</groupId>
  <artifactId>msgpack</artifactId>
  <version>%{version}</version>
  <packaging>pom</packaging>
  <name>MessagePack for Java</name>
  <modules>
    <module>msgpack-core</module>
    <module>msgpack-jackson</module>
  </modules>
</project>
EOF

cp %{SOURCE1} msgpack-core/pom.xml
cp %{SOURCE2} msgpack-jackson/pom.xml

# OSGi support
for p in msgpack-core \
 msgpack-jackson; do
 %pom_add_plugin org.apache.felix:maven-bundle-plugin:2.5.4 ${p} "
 <extensions>true</extensions>
 <configuration>
   <instructions>
     <Bundle-SymbolicName>\${project.groupId}.${p}</Bundle-SymbolicName>
     <Bundle-Name>\${project.groupId}.${p}</Bundle-Name>
     <Bundle-Version>\${project.version}</Bundle-Version>
   </instructions>
 </configuration>
 <executions>
   <execution>
     <id>bundle-manifest</id>
     <phase>process-classes</phase>
     <goals>
       <goal>manifest</goal>
     </goals>
   </execution>
 </executions>"
done

%mvn_package :msgpack __noinstall

%mvn_file :msgpack-core msgpack-core
%mvn_file :jackson-dataformat-msgpack jackson-dataformat-msgpack msgpack-jackson

%build
# com.novocode:junit-interface:0.11
# org.scalatest:scalatest_2.11:2.2.4
# org.scalacheck:scalacheck_2.11:1.12.2
# org.xerial:xerial-core:3.3.6
# org.msgpack:msgpack:0.6.11
# com.typesafe.akka:akka-actor_2.11:2.3.9
# Build without the tests, as they bring a lot of dependecies that are not
# available in the distribution at the moment:
%mvn_build -sf -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-msgpack-core
%doc README.md RELEASE_NOTES.md
%license LICENSE.txt NOTICE

%files jackson -f .mfiles-jackson-dataformat-msgpack
%doc msgpack-jackson/README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE

%changelog
* Sun Sep 25 2016 gil cattaneo <puntogil@libero.it> 0.8.10-1
- update to 0.8.10

* Sun Apr 10 2016 gil cattaneo <puntogil@libero.it> 0.8.4-1
- initial rpm

